process.errorStrategy = "retry"
process.maxRetries = 4


// Default parameters
params {
    cache_location="/mnt/csa/workflow/stored_results"
    small_cpus="4"
    small_memory="4 GB"
    medium_cpus="16"
    medium_memory="16 GB"
    large_cpus="32"
    large_memory="64 GB"
    gor_region=""
    vqsr="/mnt/csa/workflow/stored_results/joint-genotyping/test/test50samples.vqsr.vcf.gz"
}

profiles {
    standard{
        includeConfig '/work/base.config'
    }
    test {
        includeConfig '/work/base.config'
        params {

        }
    }
    localtest {
        docker.enabled = true
        params {
            chromosomes = "10,11"
            project_path = "$baseDir/test/project_path"
            freeze_path = "$baseDir/test/freeze_path"
            gwas_output = "$baseDir/test/gwas_output"
            result_dir = "$baseDir/result_dir"
            containers {
                hello = 'ubuntu:18.04'
            }
            reference_pn_file = "not_here"
        }

    }
}